#ifndef MPEG_H
#define MPEG_H


typedef struct {
  unsigned  length;
  int       id, layer;
  int       mode;
  int       extension;
  int       emphasis;
  long      bitrate, frequency;
  bool      crc, pad, priv;
  bool      copyright, original;
} FrameInfo;


extern bool  MPEG_CheckHeader(unsigned long header);
extern bool  MPEG_ParseHeader(unsigned long header, FrameInfo *info);
extern char *MPEG_HeaderToString(unsigned long header);


#endif